%define upstream_name    Business-CreditCard
%define upstream_version 0.39

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Credit card number check digit test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Business/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
These subroutines tell you whether a credit card number is self-consistent
-- whether the last digit of the number is a valid checksum for the
preceding digits.

The validate() subroutine returns 1 if the card number provided passes the
checksum test, and 0 otherwise.

The cardtype() subroutine returns a string containing the type of card. The
list of possible return values is more comprehensive than it used to be,
but additions are still most welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc BINS Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Aug 27 2022 tv <tv> 0.390.0-1.mga9
+ Revision: 1881129
- update to 0.39

* Sun Mar 20 2022 umeabot <umeabot> 0.360.0-4.mga9
+ Revision: 1808338
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.360.0-3.mga8
+ Revision: 1503479
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.360.0-2.mga7
+ Revision: 1281847
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 0.360.0-1.mga7
+ Revision: 1126256
- update to 0.36

* Sat Jun 18 2016 pterjan <pterjan> 0.350.0-2.mga6
+ Revision: 1022810
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.350.0-1.mga6
+ Revision: 1001630
- update to 0.35

* Thu Feb 18 2016 umeabot <umeabot> 0.330.0-2.mga6
+ Revision: 967008
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 847962
- update to 0.33

* Wed Oct 15 2014 umeabot <umeabot> 0.320.0-4.mga5
+ Revision: 747818
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.320.0-3.mga5
+ Revision: 683613
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.320.0-2.mga4
+ Revision: 527608
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.320.0-1.mga4
+ Revision: 441474
- update to 0.32

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 363395
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.310.0-1.mga3
+ Revision: 304092
- imported package perl-Business-CreditCard

